%
% MATLABPRINTER tool to select the CdF printer in matlab.
% juin 2000, Tristan Beau
%
%   With no arguments, it's mainly used by the printopt function. 
%   Anyway, it returns the current printer, i.e. the MPRINTER variable.
%
%   With the printer argument, set a new CdF printer.
%     Usage : matlabprinter prc13
%
%   See also PRINTOPT, PRINT.
%

function p = matlabprinter (varargin)

if length(varargin)==0 
  p = evalin('base','MPRINTER');
else
  p = varargin{1};
  assignin('base','MPRINTER',p);
end

